Bug 1299467 - gnome-terminal ignores the -e, --command option argument
gnome-terminal ignores the -e, --command option argument
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
27
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1301075
  Show dependency treegraph
 
Reported: 2016-01-18 07:45 EST by Jiri Prajzner
Modified: 2017-11-21 04:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1301075 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Prajzner 2016-01-18 07:45:22 EST
Description of problem:
gnome-terminal ignores the -e, --command option argument, thus it's impossible to execute a command in new window or a tab.

Version-Release number of selected component (if applicable):
3.18.2

How reproducible:
Always

Steps to Reproduce:
1. execute gnome-terminal -e pwd
2.
3.

Actual results:
no output from the pwd is printed out

Expected results:
output from pwd is printed out

Additional info:
This option prevents other options like --window or --zoom from working, that's why the severity is set to high
Comment 1 Jiri Prajzner 2016-11-23 11:24:03 EST
still valid in gnome-terminal --version
GNOME Terminal 3.22.1 Using VTE version 0.46.1 +GNUTLS
Comment 2 Christian Persch (GNOME) 2016-11-23 12:03:51 EST
> gnome-terminal ignores the -e, --command option argument, thus it's impossible 
> to execute a command in new window or a tab.

Not reproducible here; -e/--command works fine (even though it is deprecated).
Comment 3 Fedora End Of Life 2017-11-16 13:59:13 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Jiri Prajzner 2017-11-20 09:02:19 EST
still valid in f27:
gnome-terminal -- pwd
Warning: DESKTOP_STARTUP_ID not set and no fallback available.
Comment 5 Christian Persch (GNOME) 2017-11-20 15:30:33 EST
I suspect you've misinterpreted the result; I think this is https://bugzilla.gnome.org/show_bug.cgi?id=777686 .
Comment 6 Jiri Prajzner 2017-11-21 04:09:17 EST
(In reply to Christian Persch (GNOME) from comment #5)
> I suspect you've misinterpreted the result; I think this is
> https://bugzilla.gnome.org/show_bug.cgi?id=777686 .

There's no output from the pwd command

Note You need to log in before you can comment on or make changes to this bug.